Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCfontSet

## Specification of methods

### WSGIappFontSet Function Description

Form
  WSCfontSet* WSGIappFontSet()
Function
  Obtain a global instance of a font management class existing for each application
Description
Parameters
  None.
Return value
  A pointer to a font management class instance
Notice
  This is a global function, not a member function. Do not release the returned pointer.
Samples

         //Obtain a font instance specifying a font number
         WSDfont* font = WSGIappFontSet()->getFont(fno);

### getFont Function Description

Form
  WSDfont* getFont(short fno)
Function
  Obtain a font instance by a font number
Description
Parameters

  (in)short fno | Font number

Return value
  Font instance
Notice
  Do not release the returned font instance.
Samples
  Please refer to WSGIappFontSet()

  ### getDefaultFontNo Function Description

  Form
    short getDefaultFontNo()
  Function
    Obtain a font number of the specified default font.
  Description
  Parameters
    None.
  Return value
    Font number
  Notice
  Samples

           short fno = WSGIappFontSet()->getDefaultFontNo();

  ### getDefaultFont Function Description

  Form
    WSDfont* getDefaultFont()
  Function
    Obtain a default font instance.
  Description
  Parameters
    None.
  Return value
    Font instance
  Notice
  Samples

           WSDfont* font = WSGIappFontSet()->getDefaultFont();

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004